# 订单详情

`GET` `/v1/trade/order`

该接口用于订单详情查询。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `order_id` | string | Yes | 订单 ID，用于指定订单 ID 查询，例如：`701276261045858304` |
| `is_attached` | boolean | No | order_id 是否为附加单 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/trade/order?order_id=<order_id>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `order_id` | string | No | 订单 ID |
| `status` | string | No | 订单状态。可选值：`NotReported`、`ReplacedNotReported`、`ProtectedNotReported`、`VarietiesNotReported`、`DelayedNotReported`、`FilledStatus`、`WaitToNew`、`NewStatus`、`WaitToReplace`、`PendingReplaceStatus`、`ReplacedStatus`、`PartialFilledStatus`、`WaitToCancel`、`PendingCancelStatus`、`RejectedStatus`、`CanceledStatus`、`ExpiredStatus`、`PartialWithdrawal`。 |
| `stock_name` | string | No | 股票名称 |
| `quantity` | string | No | 下单数量 |
| `executed_quantity` | string | No | 成交数量。. 当订单未成交时为 0 |
| `price` | string | No | 下单价格。. 当市价条件单未触发时为空字符串 |
| `executed_price` | string | No | 成交价。. 当订单未成交时为 0 |
| `submitted_at` | string | No | 下单时间 |
| `side` | string | No | 买卖方向。**可选值：**, `Buy` - 买入，`Sell` - 卖出 |
| `symbol` | string | No | 股票代码，使用 `ticker.region` 格式，例如：`AAPL.US` |
| `order_type` | string | No | 订单类型。可选值：`LO`、`ELO`、`MO`、`AO`、`ALO`、`ODD`、`LIT`、`MIT`、`TSLPAMT`、`TSLPPCT`、`SLO`。 |
| `last_done` | string | No | 最近成交价格。. 当订单未成交时为空字符串 |
| `trigger_price` | string | No | `LIT` / `MIT` 订单触发价格。. 当订单不是 `LIT` / `MIT` 订单为空字符串 |
| `msg` | string | No | 拒绝信息或备注，默认为空字符串。 |
| `tag` | string | No | 订单标记。**可选值：**, `Normal` - 普通订单，`Gtc` - 长期单，`Grey` - 暗盘单 |
| `time_in_force` | string | No | 订单有效期类型。**可选值：**, `Day` - 当日有效，`GTC` - 撤单前有效，`GTD` - 到期前有效 |
| `expire_date` | string | No | 长期单过期时间，格式为 `YYYY-MM-DD`, 例如：`2022-12-05。. 不是长期单时，默认为空字符串。` |
| `updated_at` | string | No | 最近更新时间，格式为时间戳 (秒)，默认为 0。 |
| `trigger_at` | string | No | 条件单触发时间，格式为时间戳 (秒)，默认为 0。 |
| `trailing_amount` | string | No | `TSLPAMT` 订单跟踪金额。. 当订单不是 `TSLPAMT` 订单时为空字符串。 |
| `trailing_percent` | string | No | `TSLPPCT` 订单跟踪涨跌幅。. 当订单不是 `TSLPPCT` 订单时为空字符串。 |
| `limit_offset` | string | No | `TSLPAMT` / `TSLPPCT` 订单指定价差。. 当订单不是 `TSLPAMT` / `TSLPPCT` 订单时为空字符串。 |
| `trigger_status` | string | No | 条件单触发状态，当订单不是条件单或条件单未触发时，触发状态为 NOT_USED. **可选值：**, `NOT_USED` - 未激活 `DEACTIVE` - 已失效 `ACTIVE` - 已激活 `RELEASED` - 已触发 |
| `currency` | string | No | 结算货币 |
| `outside_rth` | string | No | 是否允许盘前盘后，当订单不是美股时，默认为 UnknownOutsideRth. **可选值：**, `RTH_ONLY` - 不允许盘前盘后，`ANY_TIME` - 允许盘前盘后，`OVERNIGHT` - 夜盘" |
| `remark` | string | No | 备注 |
| `free_status` | string | Yes | 免佣状态，默认为 None **可选值：** `None` - 无 `Calculated` - 免佣额待计算 `Pending` - 待免佣 `Ready` - 已免佣 |
| `free_amount` | string | Yes | 免佣金额，默认为空字符串 |
| `free_currency` | string | Yes | 免佣货币，默认为空字符串 |
| `deductions_status` | string | Yes | 抵扣状态/返现状态，默认为 NONE **可选值：** `NONE` - 待结算 `NO_DATA` - 已结算无数据 `PENDING` - 已结算待发放 `DONE` - 已结算已发放 |
| `deductions_amount` | string | Yes | 抵扣金额，默认为空字符串 |
| `deductions_currency` | string | Yes | 抵扣货币，默认为空字符串 |
| `platform_deducted_status` | string | Yes | 平台费抵扣状态/返现状态，默认为 NONE **可选值：** `NONE` - 待结算 `NO_DATA` - 已结算无数据 `PENDING` - 已结算待发放 `DONE` - 已结算已发放 |
| `platform_deducted_amount` | string | Yes | 平台费抵扣金额，默认为空字符串 |
| `platform_deducted_currency` | string | Yes | 平台费抵扣货币，默认为空字符串 |
| `history` | object[] | Yes | 订单历史明细 |
| `└ price` | string | No | 下单价格。. 当市价条件单未触发时为空字符串 |
| `└ quantity` | string | No | 下单数量 |
| `└ status` | string | No | 订单状态。可选值：`NotReported`、`ReplacedNotReported`、`ProtectedNotReported`、`VarietiesNotReported`、`DelayedNotReported`、`FilledStatus`、`WaitToNew`、`NewStatus`、`WaitToReplace`、`PendingReplaceStatus`、`ReplacedStatus`、`PartialFilledStatus`、`WaitToCancel`、`PendingCancelStatus`、`RejectedStatus`、`CanceledStatus`、`ExpiredStatus`、`PartialWithdrawal`。 |
| `└ msg` | string | No | 拒绝信息或备注，默认为空字符串。 |
| `└ time` | string | Yes | 发生时间 |
| `charge_detail` | object | Yes | 订单费用 |
| `└ total_amount` | string | Yes | 全部费用 |
| `└ currency` | string | No | 结算货币 |
| `└ items` | object[] | Yes | 订单费用明细 |
| `└ limit_depth_level` | int32 | Yes | 指定买卖档位 |
| `└ monitor_price` | string | No | 监控价格 |
| `└ trigger_count` | int32 | Yes | 触发次数 |
| `└ attached_orders` | object[] | No | 附加订单详情列表 |
| `multi_leg` | object | No | 多腿策略信息，仅多腿期权组合订单返回，非组合订单不返回。 |
| `└ strategy` | string | No | 多腿策略 **可选值：** `0` - CoveredCall（股票担保）`1` - CoveredPut（股票担保）`2` - VerticalCallSpread（垂直策略）`3` - VerticalPutSpread（垂直策略）`4` - Collar（领式策略）`5` - Straddle（跨式策略）`6` - Strangle（宽跨式策略）`7` - CalendarCallSpread（日历策略）`8` - CalendarPutSpread（日历策略） |
| `└ strategy_name` | string | No | 策略名称 |
| `└ multileg_id` | string | No | 多腿组合 ID |
| `└ code` | string | No | 多腿组合代码 |
| `└ legs` | object[] | No | 组合订单的各腿 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "order_id": "828940451093708800",
    "status": "FilledStatus",
    "stock_name": "Apple",
    "quantity": "10",
    "executed_quantity": "10",
    "price": "200.000",
    "executed_price": "164.660",
    "submitted_at": "1680863604",
    "side": "Buy",
    "symbol": "AAPL.US",
    "order_type": "LO",
    "last_done": "164.660",
    "trigger_price": "0.0000",
    "msg": "",
    "tag": "Normal",
    "time_in_force": "Day",
    "expire_date": "2023-04-10",
    "updated_at": "1681113000",
    "trigger_at": "0",
    "trailing_amount": "",
    "trailing_percent": "",
    "limit_offset": "",
    "limit_depth_level": 0,
    "monitor_price": "",
    "trigger_count": 1,
    "trigger_status": "NOT_USED",
    "outside_rth": "ANY_TIME",
    "currency": "USD",
    "remark": "1680863603.927165",
    "free_status": "None",
    "free_amount": "",
    "free_currency": "",
    "deductions_status": "NONE",
    "deductions_amount": "",
    "deductions_currency": "",
    "platform_deducted_status": "NONE",
    "platform_deducted_amount": "",
    "platform_deducted_currency": "",
    "history": [
      {
        "price": "164.6600",
        "quantity": "10",
        "status": "FilledStatus",
        "msg": "Execution of 10",
        "time": "1681113000"
      },
      {
        "price": "200.0000",
        "quantity": "10",
        "status": "NewStatus",
        "msg": "",
        "time": "1681113000"
      }
    ],
    "charge_detail": {
      "items": [
        {
          "code": "BROKER_FEES",
          "name": "Broker Fees",
          "fees": []
        },
        {
          "code": "THIRD_FEES",
          "name": "Third-party Fees",
          "fees": []
        }
      ],
      "total_amount": "0",
      "currency": "USD"
    },
    "attached_orders": [
      {
        "order_id": "706388312699592705",
        "attached_type_display": 2,
        "trigger_price": "10.500",
        "quantity": "200",
        "executed_qty": "0",
        "status": "NewStatus",
        "updated_at": "1651644898",
        "withdrawn": false,
        "gtd": "",
        "time_in_force": "Day",
        "counter_id": "",
        "trigger_status": 0,
        "executed_amount": "0",
        "tag": 0,
        "submitted_at": "1651644897",
        "executed_price": "0.000",
        "force_only_rth": "RTH_ONLY",
        "reviewed": false,
        "activate_order_type": "MIT",
        "activate_rth": "RTH_ONLY",
        "submit_price": "",
        "limit_depth_level": 0
      }
    ],
    "multi_leg": {
      "strategy": "2",
      "strategy_name": "Vertical spread",
      "multileg_id": "Spread_QQQ20260731C764/767",
      "code": "QQQ 260731 764/767 Vertical spread",
      "legs": [
        {
          "symbol": "QQQ260731C764000.US",
          "side": "Buy",
          "position": "LONG",
          "ratio_quantity": "1",
          "strike_price": "764",
          "expire_date": "20260731",
          "contract_direction": "C"
        },
        {
          "symbol": "QQQ260731C767000.US",
          "side": "Sell",
          "position": "SHORT",
          "ratio_quantity": "1",
          "strike_price": "767",
          "expire_date": "20260731",
          "contract_direction": "C"
        }
      ]
    }
  }
}
```
